Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextEdit_ExtraSelection

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextEdit_ExtraSelection

All Implemented Interfaces:
  QtJambiInterface

    public class QTextEdit_ExtraSelection

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextEdit_ExtraSelection()` Creates a new QTextEdit_ExtraSelection.

Method Summary
`QTextCursor` | `cursor()` A cursor that contains a selection in a `QTextDocument`
`QTextCharFormat` | `format()` A format that is used to specify a foreground or background brush/color for the selection.
`static QTextEdit_ExtraSelection` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextEdit_ExtraSelection instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QTextEdit_ExtraSelection[] array)` This function returns a QNativePointer that is pointing to the specified QTextEdit_ExtraSelection array.
`void` | `setCursor(QTextCursor cursor)` A cursor that contains a selection in a `QTextDocument`
`void` | `setFormat(QTextCharFormat format)` A format that is used to specify a foreground or background brush/color for the selection.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextEdit_ExtraSelection

    public QTextEdit_ExtraSelection()

  Creates a new QTextEdit_ExtraSelection.

Method Detail

### setCursor

    public final void setCursor(QTextCursor cursor)

  A cursor that contains a selection in a `QTextDocument`

  @see `cursor`

### cursor

    public final QTextCursor cursor()

  A cursor that contains a selection in a `QTextDocument`

  @see `setCursor`

### setFormat

    public final void setFormat(QTextCharFormat format)

  A format that is used to specify a foreground or background brush/color for the selection.

  @see `format`

### format

    public final QTextCharFormat format()

  A format that is used to specify a foreground or background brush/color for the selection.

  @see `setFormat`

### fromNativePointer

    public static QTextEdit_ExtraSelection fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextEdit_ExtraSelection instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextEdit_ExtraSelection[] array)

  This function returns a QNativePointer that is pointing to the specified QTextEdit_ExtraSelection array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD